package org.twinone.ejempljson;

import org.twinone.ejempljson.json.AmigosActivity;
import org.twinone.ejempljson.prueba.AyudanteDePrueba;
import org.twinone.ejempljson.sqlite.SQLiteActivity;
import org.twinone.ejemplojson.R;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class MainActivity extends Activity implements OnItemClickListener {

	private ListView mListView;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		setTitle("JSON y SQLLite");
		setContentView(R.layout.main_activity);

		mListView = (ListView) findViewById(R.id.listview);
		String[] values = new String[] { "Mis amigos (JSON)", "SQLite"

		};
		ArrayAdapter<String> adapter = new ArrayAdapter<String>(this,
				R.layout.listview_text, android.R.id.text1, values);
		mListView.setAdapter(adapter);
		mListView.setOnItemClickListener(this);
	}

	@Override
	public void onItemClick(AdapterView<?> parent, View view, int which, long id) {
		Class<?> cls = null;
		switch (which) {
		case 0:
			cls = AmigosActivity.class;
			break;
		case 1:
			cls = SQLiteActivity.class;
			break;
		case 2:
			cls = AyudanteDePrueba.class;
		}
		Intent i = new Intent(this, cls);
		startActivity(i);
	}
}
